import request from '@/utils/request'

// 查询政府网站列表
export function listZclb(query) {
  return request({
    url: '/tcZz/networkSecurity/zclb/list',
    method: 'get',
    params: query
  })
}

// 查询政府网站详细
export function getZclb(id) {
  return request({
    url: '/tcZz/networkSecurity/zclb/' + id,
    method: 'get'
  })
}

// 新增政府网站
export function addZclb(data) {
  return request({
    url: '/tcZz/networkSecurity/zclb',
    method: 'post',
    data: data
  })
}

// 修改政府网站
export function updateZclb(data) {
  return request({
    url: '/tcZz/networkSecurity/zclb',
    method: 'put',
    data: data
  })
}

// 删除政府网站
export function delZclb(id) {
  return request({
    url: '/tcZz/networkSecurity/zclb/' + id,
    method: 'delete'
  })
}
//批量启用禁用
// export function isStatusZclb(params) {
//   return request({
//     url: '/tcZz/networkSecurity/zclb/isStatus',
//     method: 'get',
//     params
//   })
// }
//通用导入信息
export function importZclb(data) {
  return request({
    url: '/tcZz/networkSecurity/zclb/common/importExcel',
    method: 'post',
    data
  })
}
